/* style css */
/* import fontow */
@import url('https://fonts.googleapis.com/css2?family=Inter:ital,opsz,wght@0,14..32,100..900;1,14..32,100..900&display=swap');
@font-face {
  font-family: NicoMoji-Regular;
  src: url(../css/NicoMoji-Regular.ttf);
}



/* kolory */
:root{
    --kolor-tlo: #F8F5EC;
    --kolor-uzupel:#002776;
    --kolor-akcent: #FF9900;
    --kolor-ciemny:#003310;
    --kolor-ciemny-transparent:#00331000;
    --kolor-teksty: #1d1a1a;

}
/* selektory globalne */
*{
    box-sizing: border-box;
    transition: 300ms;
}
html{
    scroll-behavior: smooth;
}
body{
    font-family: "Inter", sans-serif;
}

p{
    line-height: 140%;
}
a{
    font-family: NicoMoji-Regular;
    text-decoration: none;
    color: white;
    padding: 10px 80px;
    display: block;
    border-radius: 20px;
    text-align: center;
    white-space: wrap;
}
img{
    /* max-width: 100%; */
    
}

/* nawigacja */
nav{
    /* background-color: rgba(198, 34, 81, 0.3); */
    /* color: var(--kolor-ciemny); */
    font-family: NicoMoji-Regular;
    padding: 10px;
    display: flex;
    justify-content: center;
    align-items: center;
    position: fixed;
    width: 100%;
    /* bo fixed niweluje domyslne 100% */
    z-index: 1;
    color: var(--kolor-tlo) !important;
    /* zmiana kolejnosci warstw */
    /* background-color: yellow; */
    background: linear-gradient(to bottom, var(--kolor-ciemny) 3%, var(--kolor-ciemny-transparent));
    

}
nav .zawartosc{
    max-width: 1400px;
    width: 100%;
    /* background-color: red; */
    display: flex;
    justify-content: space-between;
    align-items: center;
}
nav img{
    display: flex;
    justify-content: right;
    align-items: start;
    padding: 0px;
    height: 20px;
    border-radius: 0px;
    /* background-color: orange; */
}
nav ol{
    padding: 10px;
    display: flex;
    justify-content: space-evenly;
    /* background-color: green; */
}
nav ol li{
    /* background-color: #e34963; */
    padding: 10px;
    flex: 1;
}
nav ol li a{
    /* background-color: #f9adc4; */
    padding: 10px 20px;
    display: inline;
    /* domyslne dla hiperlacza */
    display: block;
    
    border-radius: 20px;
    text-align: center;
    border: 2px solid white;
    white-space: nowrap;
}
nav ol li a:hover{
    background-color: var(--kolor-tlo);
    color: var(--kolor-uzupel);
}

/* wszystkie sekcje */
section{
    min-height: 80vh;
    /* vh=viewport height = % wysokosci okna przegladarki */
    /* uruchamiamy FLEXBOX */
    /* container */
    display: flex;
    align-items: center;
    justify-content: center;

    /* zabezpieczenie by tresci nie dochodzily do krawedzi okna przegladarki
     */
    padding: 20px;
    scroll-margin-top: 96px;
    /* zaslania nawigacja cala poprzednia sekcje */
}
/* CLASS ma prefix "." */
.zawartosc{
    /* background-color: #efa1a1; */
    max-width: 1350px;
    width: 100%;
}

/* poszczególne sekcje */
/* ID ma prefix '#' */
#pierwsza{
   background: url(../img/Tlo_Flaga.png) no-repeat center;
   background-size: cover;
}
/* #pierwsza img{
    mix-blend-mode: hard-light ;
} */
#pierwsza img:hover{
    mix-blend-mode: hard-light;
}
#pierwsza .zawartosc{
    display: flex;
    flex-direction: column;
    gap: 4vh;
    justify-content: baseline; 
    align-items: left;
    color: var(--kolor-tlo);
}
#druga{
    background-color: var(--kolor-tlo);
}
#druga .zawartosc{
   /* background-color: #7e6b6b; */
    padding: 10px;
    /* container */
    display: flex;
    /* align-items: flex-start; */
    align-items: stretch;
    justify-content: space-evenly;
    flex-wrap: wrap;
    gap: 30px;
}

#druga article{
    /* background-color: var(--kolor-glowny); */
    /* padding: 10px; */
    border-radius: 30px;
    /* items */
    flex: 1 1 300px;
    
}
#druga a:hover{
    cursor: pointer;
    background-color: var(--kolor-akcent);
}
#druga h2{
    font-family: NicoMoji-Regular;
    color: var(--kolor-akcent);
    align-items: center;
    text-align: center;
    font-size: 70px;
    gap: 30px;
}
#druga h2 .zielony{
    color: var(--kolor-uzupel);
}
#druga h2 .niebieski{
    color: var(--kolor-ciemny);
}
#druga #kolumna1{
    display: flex;
    align-items: center;
    justify-content: center;
    flex-wrap: wrap;
    flex-direction: column;
}
#druga p{
    border: 2px solid var(--kolor-akcent);
    border-radius: 20px;
    padding: 20px;
    display: flex;
    align-items: center;
    text-align: center;
    justify-content: center;
    max-width: 400px;
    margin-bottom: 20px;
}


#druga #kolumna2{
    background: url(../img/Mask_group2.png) no-repeat center / contain;
    height: 500px;
    width: 200px;
}
#druga #kolumna2:hover{
    background: url(../img/Mask_group.png) no-repeat center / contain;
}
#druga a{
    background-color: var(--kolor-uzupel);
    display: flex;
    align-items: baseline;
    justify-content: baseline;
    flex-wrap: wrap;
}


#trzecia{
    background: url(../img/Rio_De_Janeiro.png) no-repeat center;
    max-width: 100%;
    background-size: cover;
}
#trzecia .zawartosc{
    
    display: flex;
    justify-content: space-evenly;

}
#trzecia h2{
    font-family: NicoMoji-Regular;
    font-size: 24px;
    display: none;
    padding:10px;
}
#trzecia p{
    font-size: 16px;
    display: none;
}
#trzecia #bialy{
    background-color: var(--kolor-tlo);
    border-radius: 200px;
    border: 5px solid var(--kolor-teksty);
    padding: 70px; 
    width: 200px;
    height: 200px;
    display: flex;
    flex-direction: column;
    align-items: center;
    text-align: center;
    justify-content: center;
}
#trzecia #niebieski{
    background-color: var(--kolor-uzupel);
    border-radius: 200px;
    border: 5px solid var(--kolor-teksty);
    padding: 70px;
    width: 200px;
    height: 200px;
    display: flex;
    align-items: center;
    text-align: center;
    justify-content: center;
    flex-direction: column;
    color: var(--kolor-tlo);
    
}
#trzecia #zolty{
    background-color: var(--kolor-akcent);
    border-radius: 200px;
    border: 5px solid var(--kolor-teksty);
    padding: 70px;
    width: 200px;
    height: 200px;
    display: flex;
    align-items: center;
    text-align: center;
    justify-content: center;
    flex-direction: column;
}
#trzecia #zielony{
    background-color: var(--kolor-ciemny);
    border-radius: 200px;
    border: 5px solid var(--kolor-teksty);
    padding: 70px;
    width: 200px;
    height: 200px;
    display: flex;
    flex-direction: column; 
    align-items: center;
    text-align: center;
    justify-content: center;
    color: var(--kolor-tlo);
}
#trzecia #zielony:hover{
    height:350px;
    font-size: 20px;
    flex: 1;
}
#trzecia #niebieski:hover{
    height:350px;
    font-size: 20px;
    flex: 1;
}
#trzecia #zolty:hover{
    height:400px;
}
#trzecia #bialy:hover{
    height:400px;
}
#trzecia article:hover p{
    display: block;
}
#trzecia article:hover h2{
    display: block;
}
#trzecia img{
    height: 100px;
}

#czwarta{
    background: url(../img/tlo_amazonia.png) no-repeat center;
    background-size: cover;
}
#czwarta .zawartosc{
    padding: 10px;
    /* container */
    display: flex;
    /* align-items: flex-start; */
    align-items: stretch;
    justify-content: space-evenly;
    flex-wrap: wrap;
    gap: 30px;
}
#czwarta article{
        border-radius: 30px;
    /* items */
    flex: 1 1 300px;
}
#czwarta a:hover{
    cursor: pointer;
    background-color: var(--kolor-uzupel);
    color: var(--kolor-tlo);
}
#prawo{
    border: 2px solid var(--kolor-akcent);
    border-radius: 20px;
    padding: 20px;
    display: flex;
    align-items: center;
    text-align: center;
    justify-content: center;
    max-width: 800px;
    background-color: var(--kolor-tlo);
}
#lewo{
    color: var(--kolor-uzupel);
    display: flex;
    align-items: center;
    text-align: center;
    justify-content: center;
    flex-direction: column;
}
#lewo h2{
    font-family: NicoMoji-Regular;
    font-size: 50px;
  
}
#lewo .hiper{
    padding: 150px 0px 0px 0px;
}
#lewo a{
    background-color: var(--kolor-tlo);
    color: var(--kolor-akcent);
    
}


#piata{
    background: url(../img/tlo_galeria.png) no-repeat center;
    background-color: var(--kolor-tlo);
   background-size: contain;
   display:flex;
   flex-direction: column;
}
#piata h3{
    font-family: NicoMoji-Regular;
    font-size: 80px;
    color: var(--kolor-ciemny);
    padding:30px;
    mix-blend-mode: darken;
    display: flex;
    gap: 40px;
    width: 100%;
}
#piata hr{
    flex: 1;
    border:  none;
    border-bottom: 10px dashed var(--kolor-ciemny);
}
#piata .zawartosc{
    padding: 10px;

    /* container */
    display: flex;
    align-items: stretch;
    justify-content: center;
    flex-wrap: wrap;
    gap: 30px;

}
#lewa{
    flex: 1 1 300px;
    background: url(../img/zdjecie_1.png) no-repeat center;
    background-size: cover;
    border: 5px solid var(--kolor-tlo);
    border-radius: 54px;
    margin-bottom: 60px;
}
#lewa h2{
    display: flex;
    color: var(--kolor-tlo);
    font-weight: bold;
    padding: 30px;
    text-align: left;
    justify-content: baseline;
}
#prawa{
    flex: 2 1 300px;
    display: flex;
    flex-direction: column;
    align-items: center;
}
#prawa span{
    background-color: var(--kolor-uzupel);
    font-family: NicoMoji-Regular;
    font-size: 25px;
    display: inline-block;
    margin: 10px;
    padding: 10px;
    border-radius: 50px;
    width: 40px;
    height: 40px;
    color: white;
    text-align: center;
    cursor:pointer;
}
#piata figure{
    display: flex;
    flex-wrap: wrap;
    gap: 10px;
    align-content: flex-start;
    justify-content: center;
    border-radius: 54px;
}
#piata figure div{
    flex: 1 1 250px;
}

#prawa img{
    border: 5px solid var(--kolor-tlo);
    width: 100%;
}
#piata .lewygora img{
    border: 5px solid var(--kolor-tlo);
    border-radius: 54px 0px 0px 0px;
}
#piata .prawygora img{
    border: 5px solid var(--kolor-tlo);
    border-radius: 0px 54px 0px 0px;
}
#piata .lewydol img{
    border: 5px solid var(--kolor-tlo);
    border-radius: 0px 0px 0px 54px;
}
#piata .prawydol img{
    border: 5px solid var(--kolor-tlo);
    border-radius: 0px 0px 54px 0px;
}
#szosta{
    background: url(../img/Tlo_Rejestracja.png) no-repeat center;
    background-color: var(--kolor-tlo);
   background-size: contain;
    display: flex;
     justify-content: center;
    flex-wrap: wrap;
    min-height: 20vh;
    flex-direction: column;
}
#szosta .zawartosc{
    background-color: var(--kolor-tlo);
    padding: 10px;
    gap: 40px;
    display: flex;
    align-items: center;
    flex-wrap: wrap;
    align-items: stretch;
    justify-content: space-evenly;
    width: 500px;
    border: 2px solid var(--kolor-akcent);
    border-radius: 20px;
}
#szosta h2{
    font-family: NicoMoji-Regular;
    font-size: 30px;
    color: var(--kolor-ciemny);
    padding: 20px;
    display: flex;
    align-items: center;
    justify-content: center;

}
#szosta form{
    padding: 2rem;
    max-width: 50vw;
}
#szosta form main{
  
}
#szosta form main input{
    display: block;
    margin-bottom: 0,5rem;
    padding: 7px;
    width: 100%;
    font-size: 18px;
     background: var(--kolor-ciemny);
    border-radius: 30px;
    border: 0;
    color:#ccc;

}
#szosta form main input:focus{
    border: 2px solid var(--kolor-akcent);
    background: var(--kolor-tlo);
    border-radius: 10px;
}
::placeholder{
    /* on ma miec :: */
    font-style: italic;
    color: var(--kolor-tlo);
    font-size: 14px;
    padding: 5px;
}
#szosta form label{
    margin-bottom: 9px;
    text-transform: uppercase;
    font-size: 12px;
    color: var(--kolor-ciemny);
}
form main textarea{
    width: 100%;
    resize: vertical;
    font-family: inherit;
    padding: 20px;
}
#szosta form input[type=submit]{
    border: 0;
    padding: 15px;
    color: var(--kolor-tlo);
    font-size: 16px;
    font-family: NicoMoji-Regular;
    border-radius: 20px;
    background-color: var(--kolor-uzupel);
    width: 300px;
    margin: auto;
    display: block;
}
#szosta form input[type=submit]:hover{
    background-color: var(--kolor-akcent);
    cursor: pointer;
}
#szosta form input #regulamin{
    border: 2px solid var(--kolor-akcent);
    display:flex;
    flex-direction: row;
}
#szosta form input[type=checkbox]{
    width: auto;
    display: inline-block;
    transform: translateY(2px);
}
#szosta a{
    font-family: "Inter", sans-serif;
    color: var(--kolor-uzupel);
    padding: 0px;
    display: table-row;
    font-weight: bold;
    text-align: left;
    white-space: nowrap;
}
#stopka{
    background: url(../img/stopka.png)no-repeat center;
    background-size: cover;
    display: flex;
    justify-content: left;
    padding: 0px 150px;
    /* min-height: 10vh; */
    padding-bottom: 50px;
}
#stopka .zawartosc{
    background-color: var(--kolor-ciemny);
    border-radius: 20px;
    padding: 40px;
    width: 950px;
    display: flex;
    align-self: flex-end;
}
#stopka .zawartosc article{
    padding: 0px 0px 0px 70px;
}
#stopka .zawartosc h2{
    font-family: NicoMoji-Regular;
    font-size: 20px;
    color: var(--kolor-tlo);
    padding: 1px 0px;
}
#stopka .zawartosc p{
    color: var(--kolor-tlo);
    padding: 6px 0px;
}
#stopka h6{
    font-family: NicoMoji-Regular;
    color: var(--kolor-tlo);
    padding:  0px 50px;
    font-size: 13px;
    display: flex;
    align-items: end;
    justify-content: end;
}